Package org.codehaus.groovy.ast.stmt

# Class ExpressionStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.ExpressionStatement

public class ExpressionStatement extends Statement
A simple statement such as a method call where the return value is ignored

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`ExpressionStatement(Expression expression)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`getExpression()`
`String`
`getText()`
`void`
`setExpression(Expression expression)`
`String`
`toString()`
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionStatement

public ExpressionStatement(Expression expression)

## Method Details

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### getExpression

public Expression getExpression()

### setExpression

public void setExpression(Expression expression)

### getText

public String getText()

Overrides:
  `getText` in class `ASTNode`

### toString

public String toString()

Overrides:
  `toString` in class `Object`